Skip to main content
GET
ListApiKeys

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of api keys to return. The service may return fewer than this value. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListApiKeys call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListApiKeys must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are api_key_id, user_id, created_by_user_id, and name. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved channels. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are name and created_date. If left empty, items are ordered by created_date in ascending order (oldest-first). For more information about the format of this field, read this Example: "name desc,created_date"

Response

A successful response.

The result of a call to ApiKeyService.ListApiKeys.

apiKeys
object[]
required
nextPageToken
string